package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 配置信息对象 data_msg
 * 
 * @author ruoyi
 * @date 2024-10-09
 */
public class DataMsg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 站点描述 */
    @Excel(name = "站点描述")
    private String sitename;

    /** 扫描链接 */
    @Excel(name = "扫描链接")
    private String url;

    /** muffet扫描命令 */
    private String command;

    /** json文件存放路径 */
    private String jsonpath;

    /** 操作系统类型 */
    private String ostype;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setSitename(String sitename) 
    {
        this.sitename = sitename;
    }

    public String getSitename() 
    {
        return sitename;
    }

    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }

    public void setCommand(String command) 
    {
        this.command = command;
    }

    public String getCommand() 
    {
        return command;
    }

    public void setJsonpath(String jsonpath) 
    {
        this.jsonpath = jsonpath;
    }

    public String getJsonpath() 
    {
        return jsonpath;
    }

    public void setOstype(String ostype) 
    {
        this.ostype = ostype;
    }

    public String getOstype() 
    {
        return ostype;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sitename", getSitename())
            .append("url", getUrl())
            .append("command", getCommand())
            .append("jsonpath", getJsonpath())
            .append("ostype", getOstype())
            .toString();
    }
}
